package com.ynet.life.platform.util;

import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;

public class PlatformUtil {

   public static String getDomain(HttpServletRequest e) {
      try {
         String e1;
         if((e1 = e.getHeader("X-Forward-Server")) != null) {
            e1 = (String)e1;
            Trace.logDebug("LifeCore", "访问的域名:::".concat(String.valueOf(e1)));
            return e1;
         } else {
            Trace.logDebug("LifeCore", "访问的域名:::null");
            return null;
         }
      } catch (Exception var1) {
         Trace.logDebug("LifeCore", "获取访问的域名出错:" + var1.toString());
         return null;
      }
   }

   public static String getBankIdByRequest(HttpServletRequest domain) {
      Map map = LifeStandard.SYS_PLAT_TABLE;
      String domain1;
      return (domain1 = getDomain(domain)) == null?"":map.get(domain1).toString();
   }

   public static String getBankIdByDomain(String domain) {
      Map var1 = LifeStandard.SYS_PLAT_TABLE;
      return LifeStandard.SYS_PLAT_TABLE.get(domain).toString();
   }

   public static String getBankId4LinkLAN(HttpServletRequest request) {
      String str = "";

      try {
         Enumeration e = request.getHeaderNames();
         ArrayList al;
         (al = new ArrayList()).add("accept-language");
         al.add("user-agent");
         al.add("host");

         while(e.hasMoreElements()) {
            String strName = (String)e.nextElement();
            String strValue = request.getHeader(strName);
            if(strName != null && !"".equals(strName) && al.contains(strName)) {
               str = str + strValue;
            }
         }

         return str;
      } catch (Exception var6) {
         Trace.logDebug("LifeCore", "银企专线--获得成员行行号:" + var6.toString());
         return null;
      }
   }

   public static String getBankId(HttpServletRequest bankId) {
      String[] arr;
      String productMode = (arr = LifeStandard.getSelfDefineSettingsValue("CurrentBankId").split(","))[0];
      String manyBank = arr[1];
      String bankId1;
      if("false".equals(productMode)) {
         bankId1 = arr[2];
      } else if("false".equals(manyBank)) {
         bankId1 = arr[2];
      } else {
         bankId1 = getBankIdByRequest(bankId);
      }

      return bankId1;
   }
}
